std::rank< typename > Struct Template Reference
Metaprogramming
Inheritance diagram for std::rank< typename >:
[legend]

## Public Types

typedef integral_constant < std::size_t, __v > | type
typedef std::size_t | value_type

## Public Member Functions

constexpr | operator value_type ()

## Static Public Attributes

static constexpr std::size_t | value

## Detailed Description

### template<typename>
struct std::rank< typename >

rank

Definition at line 1243 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits